Name: libcpath
Version: 20220108
Release: 1
Summary: Library to support cross-platform C path functions
Group: System Environment/Libraries
License: LGPLv3+
Source: %{name}-%{version}.tar.gz
URL: https://github.com/libyal/libcpath
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
    
BuildRequires: gcc    

%description -n libcpath
Library to support cross-platform C path functions

%package -n libcpath-static
Summary: Library to support cross-platform C path functions
Group: Development/Libraries
Requires: libcpath = %{version}-%{release}

%description -n libcpath-static
Static library version of libcpath.

%package -n libcpath-devel
Summary: Header files and libraries for developing applications for libcpath
Group: Development/Libraries
Requires: libcpath = %{version}-%{release}

%description -n libcpath-devel
Header files and libraries for developing applications for libcpath.

%prep
%setup -q

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -n libcpath
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.so.*

%files -n libcpath-static
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/*.a

%files -n libcpath-devel
%defattr(644,root,root,755)
%license COPYING COPYING.LESSER
%doc AUTHORS README
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcpath.pc
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Sat Jan  8 2022 Joachim Metz <joachim.metz@gmail.com> 20220108-1
- Auto-generated

